Subject: [tsvwg] Added 'Rule #1' to draft-ietf-tsvwg-ecn-encap-guidelines-02.txt

From: Bob Briscoe <[email-masked]>
Date: Thu, 26 Mar 2015 20:07:13 +0000

Folks,

We realised that inappropriate uses of the IP-ECN field need to be 
precluded. E.g. the 3GPP toggle of the IP-ECN field to downgrade the 
codec. So we added the following 'Rule #1' before all the other rules:

/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
3.  Guidelines in All Cases

    RFC 3168 specifies that the ECN field in the IP header is intended to
    be marked by active queue management algorithms.  Any congestion
    notification from an algorithm that does not conform to the
    recommendations in [I-D.ietf-aqm-recommendation] MUST NOT be
    propagated from a lower layer into the ECN field in IP.
/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\

Bob

>From: <[email-masked]>
>To: John Kaippallimalil <[email-masked]>,
>         Bob Briscoe
>         <[email-masked]>,
>         Patricia Thaler <[email-masked]>,
>         Pat Thaler
>         <[email-masked]>,
>         "Bob J. Briscoe" <[email-masked]>,
>         "John
>  Kaippallimalil" <[email-masked]>
>Subject: New Version Notification for
>  draft-ietf-tsvwg-ecn-encap-guidelines-02.txt
>Date: Thu, 26 Mar 2015 12:56:50 -0700
>
>
>A new version of I-D, draft-ietf-tsvwg-ecn-encap-guidelines-02.txt
>has been successfully submitted by Bob Briscoe and posted to the
>IETF repository.
>
>Name:           draft-ietf-tsvwg-ecn-encap-guidelines
>Revision:       02
>Title:          Guidelines for Adding Congestion Notification to 
>Protocols that Encapsulate IP
>Document date:  2015-03-26
>Group:          tsvwg
>Pages:          30
>URL: 
>http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-ecn-encap-guidelines-02.txt
>Status: 
>https://datatracker.ietf.org/doc/draft-ietf-tsvwg-ecn-encap-guidelines/
>Htmlized: 
>http://tools.ietf.org/html/draft-ietf-tsvwg-ecn-encap-guidelines-02
>Diff: 
>http://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-ecn-encap-guidelines-02
>
>Abstract:
>    The purpose of this document is to guide the design of congestion
>    notification in any lower layer or tunnelling protocol that
>    encapsulates IP.  The aim is for explicit congestion signals to
>    propagate consistently from lower layer protocols into IP.  Then the
>    IP internetwork layer can act as a portability layer to carry
>    congestion notification from non-IP-aware congested nodes up to the
>    transport layer (L4).  Following these guidelines should assure
>    interworking between new lower layer congestion notification
>    mechanisms, whether specified by the IETF or other standards bodies.
>
> 
>
>
>
>Please note that it may take a couple of minutes from the time of submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat

________________________________________________________________
Bob Briscoe,                                                  BT